Universes Management

Add Entities to Universe

Add some entities to one universe

POST
https://api.textreveal.com/v3/universes/{universe_id}/entities

Request

Parameters

  • universe_id*uuid

    Unique identifier of the universe.

Request Body

  • entities*uuid[]

    Uuid of the entities to add to the universe

    Array length: [1, 1000]Example: "753c48d6-23c8-5fb0-9230-b099898452b5"
Request
{
  "entities": [
    "753c48d6-23c8-5fb0-9230-b099898452b5"
  ]
}

Response

Response - 200

Entities are added to the universe

  • added*integer

    Number of entities added in the universe

Response
{
  "added": 0
}

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "Check the errors field for more details"
  • code*number (enum)

    Error code.

    Values: 400
  • reason*string (enum)

    Error reason.

    Values: "invalid"
  • errorsobject[]

    Possible error causes.

Response
{
  "message": "Check the errors field for more details",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "string",
      "field": "entities",
      "reason": "invalid_type"
    }
  ]
}

Error - 403

Forbidden

  • message*string

    Error message.

    Example: "You are not allowed to update this universe"
  • code*number (enum)

    Error code.

    Values: 403
  • reason*string (enum)

    Error reason.

    Values: "forbidden"
Response
{
  "message": "You are not allowed to update this universe",
  "code": 403,
  "reason": "forbidden"
}

Error - 404

Not found

  • message*string

    Error message.

    Example: "The requested universe does not exist or is not visible to your company."
  • code*number (enum)

    Error code.

    Values: 404
  • reason*string (enum)

    Error reason.

    Values: "not_found"
Response
{
  "message": "The requested universe does not exist or is not visible to your company.",
  "code": 404,
  "reason": "not_found"
}

Generic errors are not shown, see Errors for more details.